Advertisement:

Author Topic: 2.02 default templates / not upgrading  (Read 22240 times)

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,842
Re: 2.02 default templates / not upgrading
« Reply #20 on: December 26, 2011, 12:46:12 PM »
as i said the site team is looking into it, remember we are all volunteers and this is not going to cause your forum to break if it is not fixed right now.

Offline norepli

  • Semi-Newbie
  • *
  • Posts: 53
Re: 2.02 default templates / not upgrading
« Reply #21 on: December 27, 2011, 08:52:40 AM »
Hello Illori,

We are very lucky to have people like yourself (and other SMF support personnel) available to assist us with our issues and I, for one, am very appreciative of that fact. Thank you for being there for all of us!

Best regards,

norepli

Offline JimM

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 11,980
  • Gender: Male
    • Southern Spirit Hunters
Re: 2.02 default templates / not upgrading
« Reply #22 on: January 01, 2012, 07:53:36 PM »
as i said the site team is looking into it, remember we are all volunteers and this is not going to cause your forum to break if it is not fixed right now.

And most likely it will be fixed along with the next security release along with any other issues that have been identified.

As this has been addressed, I am marking it as solved to remove it from our support queue.
Jim "JimM" Moore
Former Support Specialist

Please do not PM me for support!                   
Installing SMF
Upgrade SMF
Manual Installation of Mods

Offline FinsandFur

  • Jr. Member
  • **
  • Posts: 184
Re: 2.02 default templates / not upgrading
« Reply #23 on: January 02, 2012, 10:01:24 AM »

Boy it sure took a lot of convincing to show there was an issue. Whewwwww :-\

Offline BigJacko

  • Semi-Newbie
  • *
  • Posts: 33
  • Gender: Male
  • Never underestimate the power of underestimation
    • BigJacko's Web
Re: 2.02 default templates / not upgrading
« Reply #24 on: January 03, 2012, 12:01:32 PM »
Two points arising... well maybe three... ;)

1 - Illori's last post says: "this is not going to cause your forum to break if it is not fixed right now" - which is a relief. That's the main thing which was concerning me most, when I came across this problem (reported by the Administration Center when looking in the detailed view).

2 - Illori's earlier comment "it is not always best to upload files via ftp and run upgrade.php, this is why we have the package manager upgrades" is all well and good, but it needs to be remembered that not everybody can use the Package Manager successfully. In Windows, it's a nightmare (due to the differences in the permissions system) and it is neither simple to temporarily override the perms on an IIS-based environment, nor is it even a guarantee that the Package Manager will work even then! Thus, the manual-update-by-zip method is all that is realistically open to us, and of course, that's where this problem rears its ugly head. Presumably there's some kind of manifest which SMF relies upon to know which files are current, and for some reason, in the zip distro, this still thinks that Themes/default/PersonalMessage.template.php should be 2.0.2 (or rather, it thinks it knows that 2.0 is 'wrong', so barfs). This is presumably what's being fixed, I hope.

3 - I'd like to thank Illori for his help, but I would also really like to thank FinsandFur for his persistence! From reading this thread, it did look like he was banging his head against the wall for a fair bit until it was conceded that there is a problem. I'm very grateful to him that wasn't the one who had to go through the headbanging myself! ;)

Regards
Neil
This area zoned for redevelopment. Apply City Planning Dept. Brown envelopes preferred if bringing bribes.

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,842
Re: 2.02 default templates / not upgrading
« Reply #25 on: January 03, 2012, 12:04:05 PM »
i am not a he....

also the package manager does work on windows servers given they are configured correctly to allow the package manager to write to the required files.

and yes the team will look into fixing the version when they get a chance.

Offline rootuid

  • Jr. Member
  • **
  • Posts: 139
Re: 2.02 default templates / not upgrading
« Reply #26 on: January 15, 2012, 05:18:13 PM »
same issue here. After upgrading from 1.1.16 to 2.0.2 I can't install mods as all the default templates are at 2.0. Can I just upload the 2.0.2 templates and the mods should work?

Thanks.

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,842
Re: 2.02 default templates / not upgrading
« Reply #27 on: January 15, 2012, 05:20:10 PM »
there are no changes, so uploading the files from the large upgrade package would make no difference.

Offline rootuid

  • Jr. Member
  • **
  • Posts: 139
Re: 2.02 default templates / not upgrading
« Reply #28 on: January 15, 2012, 05:50:48 PM »
OK. Thanks.

All mods are failing to install. Any suggestions how to fix this?

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,842
Re: 2.02 default templates / not upgrading
« Reply #29 on: January 15, 2012, 06:02:10 PM »
try posting in the mods support thread and asking the author why.

Offline rootuid

  • Jr. Member
  • **
  • Posts: 139
Re: 2.02 default templates / not upgrading
« Reply #30 on: January 15, 2012, 06:57:16 PM »
thanks

Offline Celia N. Foster

  • Jr. Member
  • **
  • Posts: 152
  • Gender: Female
    • suaviterinmodo on Facebook
    • @suaviterinmodo on Twitter
    • Concrete Angel
Re: 2.02 default templates / not upgrading
« Reply #31 on: February 12, 2012, 10:22:00 PM »
Having very same issues as everyone else in this thread. I will wait for the next security update.

Offline Jasnick

  • Newbie
  • *
  • Posts: 5
Re: 2.02 default templates / not upgrading
« Reply #32 on: February 24, 2012, 09:25:48 PM »
Same here! 

Offline successcoach

  • Newbie
  • *
  • Posts: 1
Re: 2.02 default templates / not upgrading
« Reply #33 on: March 11, 2012, 11:27:35 PM »
Hello everyone.
Read through the posts looking to solve this problem and not wanting to wait for a future release to solve it so I uploaded /Themes/core/PersonalMessage.template.php and overwrote the current file in /Themes/default/PersonalMessage.template.php which seems to fix the error and all is well on first blush unless someone points out that I did wrong and I am not aware of it yet... please give me a heads up if this is so.

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,842
Re: 2.02 default templates / not upgrading
« Reply #34 on: March 12, 2012, 05:37:17 AM »
you should NOT override the default personalmessage.template.php with the one from the core theme, they are not the same file, and could have some code variation which could cause errors. there is NOTHING you need to do.

Offline Gambo916

  • Semi-Newbie
  • *
  • Posts: 11
Re: 2.02 default templates / not upgrading
« Reply #35 on: May 23, 2012, 09:55:50 AM »
I'm here because of the same 'issue' as others are experiencing.....good to know it is not going to break anything....and I too will wait for a future release.

Offline 10

  • Newbie
  • *
  • Posts: 7
Re: 2.02 default templates / not upgrading
« Reply #36 on: June 08, 2012, 04:58:33 AM »
Better to edit PersonalMessage.template.php in the default theme
and change line

 * @version 2.0
то

 * @version 2.0.2

and forget about "nothing to changes"

Offline UndiFineD

  • Newbie
  • *
  • Posts: 5
Re: 2.02 default templates / not upgrading
« Reply #37 on: July 27, 2012, 12:50:25 PM »
10 is right, just edit the file

- * @version 2.0
+ * @version 2.0.2

Offline Pete Penguin

  • Charter Member
  • Semi-Newbie
  • *
  • Posts: 33
Re: 2.02 default templates / not upgrading
« Reply #38 on: July 31, 2012, 08:22:15 AM »
Clearly this is still an issue. I have had it for quite some time now (at least a year), and I would hope for a fix, not a file edit.

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: 2.02 default templates / not upgrading
« Reply #39 on: July 31, 2012, 08:29:59 AM »
Better to edit PersonalMessage.template.php in the default theme
and change line

 * @version 2.0
то

 * @version 2.0.2

and forget about "nothing to changes"
In the remote case the next security update will try to fix this issue this could cause you a bit of problems (i.e. packages will not potentially show you an error), eve though I'd expect that such change will not be made mandatory in the package.

Clearly this is still an issue. I have had it for quite some time now (at least a year), and I would hope for a fix, not a file edit.
You have it since the moment SMF has been update to 2.0.2 (December 23rd 2011), and you will have it until SMF will receive a new security patch (and remember these are released only if a security problem is identified) or when you will upgrade to 2.1 (the moment it will be ready). So nothing new. ;)


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.